Subject: Allow oneliners for throw statements

Description

The FLOWS3 CGL allows oneline if statements if a throw statement is used:
http:/flow3.typo3.org/documentation/codingguidelines/php.html#if-statements

For this the sniffing should be loosened a bit to allow the oneliners in those cases

History

#1 - 2012-09-22 12:10 - Stefano Kowalke
- Category set to ControlStructures
- Status changed from New to Needs Feedback

This topic should discussed first, because it is not part of TYPO3v4 CGL yet. It is not forbidden nor allowed like in FLOW3 CGL . Please open a report
at http:/forge.typo3.org/projects/typo3v4-doc_core cgl/issues.

#2 - 2012-09-22 14:52 - Rens Admiraal

I don't see why this should be discussed first as | ask for adding the rules to the FLOWS rulesset.

More important, we spoke about this rule in Copenhagen and we'll probably remove the exception from the cgl. This would mean this issue can be

closed. I'll update this issue as soon as I'm sure we'll change the cgl.

#3 - 2012-09-22 14:52 - Rens Admiraal

| don't see why this should be discussed first as | ask for adding the rules to the FLOWS rulesset.

More important, we spoke about this rule in Copenhagen and we'll probably remove the exception from the cgl. This would mean this issue can be

closed. I'll update this issue as soon as I'm sure we'll change the cgl.

#4 - 2012-09-22 16:26 - Andy Grunwald
- Target version set to 0.0.5
- Branch set to v5

#5 - 2012-09-22 16:26 - Andy Grunwald

Okay. THX rens.
We will wait for feedback.
#6 - 2012-09-22 23:35 - Stefano Kowalke
- Target version changed from 0.0.5 to 0.0.6

#7 - 2012-10-19 11:09 - Rens Admiraal

It is indeed decided to remove this exception, so this one can be closed. We will update the CGL on our website.

#8 - 2012-10-19 11:25 - Andy Grunwald
- Status changed from Needs Feedback to Closed
- Assigned To set to Andy Grunwald

As Rens mentioned the affected change (https://review.typo3.org/#/c/15806/) was merged.

This ticket is not needed anymore.

#9 - 2013-05-04 16:07 - Stefano Kowalke

- Status changed from Closed to Rejected

Nothing to do here.

#10 - 2013-05-04 16:07 - Stefano Kowalke
- Tags set to typo3flow
